Create variant
Create a variant for terms.
post
Path parameters
termsAndConditionsIdstringRequired
productIdstringRequired
Body
filestring · binaryOptional
Responses
201
Created
application/json
idstringOptional
namestringOptional
revisioninteger · int32Optional
typestringOptional
assetUrlstringOptional
languageCodestring · nullableOptional
descriptionstringOptional
statusstringOptional
filenamestring · nullableOptional
sizeinteger · int32 · nullableOptional
contentTypestringOptional
fileIdstringOptional
400
Bad Request
application/json
403
Forbidden
application/json
500
Internal Server Error
post/public/v1/catalog/products/{productId}/terms/{termsAndConditionsId}/variants
POST /public/v1/catalog/products/{productId}/terms/{termsAndConditionsId}/variants HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 136
{
"variant": {
"type": "Online",
"assetUrl": "text",
"languageCode": "text",
"name": "text",
"description": "text",
"file": "binary"
},
"file": "binary"
}{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"revision": 1,
"type": "text",
"assetUrl": "text",
"languageCode": "text",
"description": "text",
"status": "text",
"filename": "text",
"size": 1,
"contentType": "text",
"termsAndConditions": {
"id": "text",
"name": "text",
"revision": 1
},
"fileId": "text"
}Last updated
Was this helpful?